ClassNameType (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.configuration, class: ClassNameType

Package org.apache.geode.cache.configuration

# Class ClassNameType

java.lang.Object
org.apache.geode.cache.configuration.ClassNameType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `DeclarableType`

public class ClassNameType extends Object implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `className`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClassNameType()`
  `ClassNameType(String className)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getClassName()`
  Gets the value of the className property.
  `int`
  `hashCode()`
  `void`
  `setClassName(String value)`
  Sets the value of the className property.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### className

    protected String className

- ## Constructor Details

  - ### ClassNameType

    public ClassNameType()

  - ### ClassNameType

    public ClassNameType(String className)

- ## Method Details

  - ### getClassName

    public String getClassName()
    Gets the value of the className property. possible object is `String`
    Returns:
      the class name.

  - ### setClassName

    public void setClassName(String value)
    Sets the value of the className property. allowed object is `String`
    Parameters:
      `value` - the class name.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`